<?php 
require('../flowap/system.php');
echo functions::level(2);
switch($act) {
	/// Тут создаение блога
    default: 
    $title->SetTitle('Создать блог');
    $title->GetHeader();
	if(isset($_POST['add'])) {
		$name = functions::htmlred($_POST['name']);
		$message = functions::htmlred($_POST['messages']);
		$podrazd = functions::ints($_POST['razdel']);
		$glavs = functions::ints($_POST['glavs']);
		if(empty($name) || mb_strlen($name) < 2 || mb_strlen($name) > 100):
	    	$err = 'Имя должно быть от 2 до 20 символов.';
	   	elseif(empty($message) || mb_strlen($message) < 15 || mb_strlen($message) > 100000):
	    	$err = 'Не правильное заполнено описание.';
	    elseif(empty($podrazd) || $podrazd == 0):
	    	$err = 'Вы не выбрали раздел.';
	    elseif(DB::$dbs->querySingle('SELECT COUNT(`id`) FROM `podrazd` WHERE `id` = ?', [$podrazd]) == 0):
		 		$err = 'Такого подраздела не существует.';	
	   	endif;
	        if(isset($err)):
	    	$_SESSION['err'] = $err;
	    	header('location: /my/addtext/'); exit;
		else:
			if($user['lvl'] == 100 and $glavs == 1) $rr = 1; else $rr = 0;
			$urlt = functions::transliterate($name); // генерируем имя
			$razdel = DB::$dbs->queryFetch('SELECT `razdel` FROM `podrazd` WHERE `id` = ? LIMIT 1', [$podrazd]);
			DB::$dbs->query('INSERT INTO `blog` SET `name` = ?,`urlt` = ?,`message` = ?,`podrazdel` = ?,`time` = ?,`idus` = ?, `razdel` = ?, `glav` = ?',[$name,$urlt,$message,$podrazd,time(),$user['id'],$razdel['razdel'],$rr]);
	        $_SESSION['good'] = 'Блог успешно создан.';
	    	header('location: /my/addtext/'); exit;
		endif;
	}
	?>
	<div class="flowap3">
		<div class="titlerg">Создание блога</div>
		<form class="bogess" name="message" style="border-bottom: 1px solid #eaeaea;" method="post" action="" enctype="multipart/form-data">
	        <div class="inputots">
	        	<div class="namerdis">Название блога:</div>
	            <input type="text" maxlength="100" name="name" placeholder="Название блога">
	        </div>
	        <div>
	        	<div class="namerdis">Описание блога:</div>
	        	<?php echo $bbcode->vivbb(); ?>
	        	<textarea style="height: 300px;" id="control" name="messages" placeholder="Напишите свой крутой блог"></textarea>
	        </div>
		    <div> 
		        <div class="namerdis">Раздел:</div>
		        <select name="razdel">
					<option value="0" selected="selected">Выберете раздел</option>
					<?php $sql = DB::$dbs->query("SELECT `id`,`name` FROM `razd` ORDER BY `id` DESC LIMIT 50")->fetchAll(PDO::FETCH_BOTH);
					foreach ($sql as $vivd):?>
						<option value="0" style="font-weight: 700;color: red;"><?php echo $vivd['name'];?></option>
						<?php $sql1 = DB::$dbs->query("SELECT `id`,`name` FROM `podrazd` WHERE `razdel` = ? ORDER BY `id` DESC LIMIT 50",[$vivd['id']])->fetchAll(PDO::FETCH_BOTH);
						foreach ($sql1 as $vivd1): ?>
							<option value="<?php echo $vivd1['id'];?>"><?php echo $vivd1['name'];?></option>
						<?php endforeach;
					endforeach; ?>
				</select>
		    </div>
		    <?php if($user['lvl'] == 100): ?>
				<div style="margin-top: 5px;">
					<div class="namerdis">Разрешить ли отобразить на главной?:</div>
					<input class="cheac1" id="check1" type="checkbox" name="glavs" value="1">
					<label class="cheac2" for="check1">Выставить на главную</label>
				</div>
			<?php endif; ?>
		    <input style="margin-top: 5px;" type="submit" name="add" value="Создать блог">
		</form>
	</div>
	<?php
    $title->GetFooter();
	break;
	/// Тут редактирование блога
	case 'read':
    	$ids = functions::htmlred($_GET['url']); 
    	$blog = DB::$dbs->queryFetch('SELECT * FROM `blog` WHERE `urlt` = ? LIMIT 1', [$ids]);
	    if(empty($blog['id'])):
	        $_SESSION['err'] = 'Такого блога не существует.';
	        header('location: /'); exit;
	    endif;
	    // Если не админ то пошёл в жопу
	    if($user['lvl'] < 100 and $blog['idud'] != $user['id']):
	        $_SESSION['err'] = 'Такого блога не существует.';
	        header('location: /'); exit;	    	
	    endif;
	    //
	    $title->SetTitle('Редактирование блога');
	    $title->GetHeader();
	    //
		if(isset($_POST['add'])) {
    		$name = functions::htmlred($_POST['name']);
    		$message = functions::htmlred($_POST['messages']);
    		$podrazd = functions::ints($_POST['razdel']);
    		$glavs = functions::ints($_POST['glavs']);
    		if(empty($name) || mb_strlen($name) < 2 || mb_strlen($name) > 100):
            	$err = 'Имя должно быть от 2 до 20 символов.';
           	elseif(empty($message) || mb_strlen($message) < 15 || mb_strlen($message) > 100000):
            	$err = 'Не правильное заполнено описание.';
           	elseif(empty($podrazd) || $podrazd == 0):
            	$err = 'Вы не выбрали раздел.';
            elseif(DB::$dbs->querySingle('SELECT COUNT(`id`) FROM `podrazd` WHERE `id` = ?', [$podrazd]) == 0):
       	 		$err = 'Такого подраздела не существует.';	
           	endif;
   	        if(isset($err)):
            	$_SESSION['err'] = $err;
            	header('location: /my/read/'.$blog['urlt']); exit;
        	else:
        		if($user['lvl'] == 100 and $glavs == 1) $rr = 1; else $rr = 0;
        		$urlt = functions::transliterate($name);
        		$razdel = DB::$dbs->queryFetch('SELECT `razdel` FROM `podrazd` WHERE `id` = ? LIMIT 1', [$podrazd]);
        		if($razdel == 6): $status = 2; else: $status = $blog['status']; endif;
        		DB::$dbs->query('UPDATE `blog` SET `name` = ?, `urlt` = ?, `message` = ?,`podrazdel` = ?, `status` = ?,`razdel` = ?, `glav` = ? WHERE `id` = ?',[$name,$urlt,$message,$podrazd,$status,$razdel['razdel'],$rr,$blog['id']]);
	            $_SESSION['good'] = 'Блог успешно сохранен.';
            	header('location: /my/read/'.$urlt); exit;
        	endif;
    	}
	    //
	    ?>
		<div class="flowap3">
			<div class="titlerg">Редактирование блога</div>
			<form class="bogess" style="border-bottom: 1px solid #eaeaea;" method="post" action="">
	            <div>
	            	<div class="namerdis">Название блога:</div>
	                <input value="<?php echo $blog['name'];?>" type="text" maxlength="100" name="name" placeholder="Название блога">
	            </div>
			    <div> 
			        <div class="namerdis">Описание блога:</div>
			        <?php echo $bbcode->vivbb(); ?>
			        <textarea style="height: 300px;" id="control" class="" name="messages" placeholder="Напишите свой крутой блог"><?php echo $blog['message'];?></textarea>
			    </div>
			    <div> 
			        <div class="namerdis">Раздел:</div>
			        <select name="razdel">
						<?php $sql = DB::$dbs->query("SELECT `id`,`name` FROM `razd` ORDER BY `id` DESC LIMIT 50")->fetchAll(PDO::FETCH_BOTH);
						foreach ($sql as $vivd):?>
							<option value="0" style="font-weight: 700;color: red;"><?php echo $vivd['name'];?></option>
							<?php $sql1 = DB::$dbs->query("SELECT `id`,`name` FROM `podrazd` WHERE `razdel` = ? ORDER BY `id` DESC LIMIT 50",[$vivd['id']])->fetchAll(PDO::FETCH_BOTH);
							foreach ($sql1 as $vivd1): ?>
								<option value="<?php echo $vivd1['id'];?>" <?php echo $vivd1['id'] == $blog['podrazdel']?'selected':NULL;?>><?php echo $vivd1['name'];?></option>
							<?php endforeach;
						endforeach; ?>
					</select>
			    </div>
			    <?php if($user['lvl'] == 100): ?>
				    <div style="margin-top: 5px;">
						<div class="namerdis">Разрешить ли отобразить на главной?:</div>
						<input class="cheac1" id="check1" type="checkbox" name="glavs" value="1" <?php echo $blog['glav'] == 1?'checked':NULL;?>>
						<label class="cheac2" for="check1">Выставить на главную</label>
					</div>
				<?php endif; ?>
			    <input style="margin-top: 5px;" type="submit" name="add" value="Сохранить">
			</form>
		</div>
	    <?php
	    $title->GetFooter();
	break;
	// Фотографии
	case 'fotos':
	    $title->SetTitle('Мои фотографии');
	    $title->GetHeader();
	    if(isset($_GET['id'])):
	    	$ids = functions::ints($_GET['id']); // фильтруем
	    	$imag = DB::$dbs->queryFetch('SELECT `idus`,`id`,`img` FROM `photos` WHERE `id` = ? and `idus` = ? LIMIT 1', [$ids,$user['id']]);
		    if(empty($imag['id'])): // если не файл
       	 		$_SESSION['err'] = 'Такого файла не существует.';
	        	header('location: /'); exit;
	    	endif;
	    	define('R', $_SERVER['DOCUMENT_ROOT']); // константа
	    	$dir = R.'/files/photos/'; // где находятся фотки
	    	unlink($dir.$imag['img']); // удаляем фотку
	    	DB::$dbs->query("DELETE FROM `photos` WHERE `id` = ?",[$imag['id']]); // удаляем из бд
   	 		$_SESSION['good'] = 'Файл успешно удален.'; // записываем в сессию
        	header('location: /my/fotos/'); exit; // кидаем на юрл
	    endif;
	    ?>
	    <style type="text/css">
			.filesload {background-color: #fafbfc; font-weight: bold; padding: 7px 10px; display: block; cursor: pointer; color: #0a0a0a; border-bottom: 1px solid #e7e8ec;}
			.filesload:hover {color: #545454;background-color: #fbfafa;}
			.filesload2 {width: 0.1px;height: 0.1px;opacity: 0;overflow: hidden;position: absolute;z-index: -1;}
			.fimg1 {width: 100px;height: 100px;}
			.fimg2 {position: relative; width: 100%; padding-right: 0px; padding-left: 0px;-ms-flex: 0 0 18%;flex: 0 0 18%;max-width: 18%;background-color: #f7f7f7;margin: 4px 4px;}
	    </style>
	    <div class="flowap3">
	        <form action="/uploads/photos/" method="post" enctype="multipart/form-data">
	            <label for="myfile" class="filesload"><i class="fas fa-calendar-plus"></i> Добавить фотографию</label>
	            <input type="file" class="filesload2" id="myfile" name="file" multiple="multiple" onchange="this.form.submit ()"/>
	        </form>
		    <div style="background-color: #fff;padding: 5px 0px;text-align: center;">
		    	<div class="row">
			    	<?php 
				    $onl = DB::$dbs->querySingle('SELECT COUNT(id) FROM `photos` WHERE `idus` = ?',[$user['id']]);
				    $num = 40;
				    $total = intval(($onl - 1) / $num) + 1;
				    $page = isset($_GET['page'])?intval($_GET['page']):1;
				    if(empty($page) or $page < 0) $page = 1;
				    if($page > $total) $page = $total;
				    $start = $page * $num - $num;
				    if($onl == 0): ?>
				    	<div class="" style="padding-left: 10px;padding-right: 10px;">Пока тут пусто у вас</div>
				    <?php else:
				    	$sql = DB::$dbs->query("SELECT `img`,`id` FROM `photos` WHERE `idus` = ? ORDER BY `time` DESC LIMIT $start, $num",[$user['id']])->fetchAll(PDO::FETCH_BOTH);
				        foreach ($sql as $img): ?>
				        	<div class="fimg2"><a target="_blank" href="/files/photos/<?php echo $img['img'];?>"><img src="/files/photos/<?php echo $img['img'];?>" class="fimg1"></a> <a href="?dell&id=<?php echo $img['id'];?>"><i class="far fa-trash-alt"></i></a></div>
				        <?php endforeach; 
			    	endif; ?>
			    </div>
			    <?php echo functions::page('?',$start,$total); ?>
		    </div>
	    </div>
	    <?php
	    $title->GetFooter();
	break;
	case 'myblog': // надо делать
	    $title->SetTitle('Мои блоги');
	    $title->GetHeader();
	    
	    $title->GetFooter();
	break;
	case 'settss':
	    $title->SetTitle('Настройки аккаунта');
	    $title->GetHeader();
	    ?>
            <div class="flowap3">
                <div class="titlel">Настройки</div>
                <div class="bogess" style="border-bottom: 1px solid #f3f3f3;">
                    <img src="https://vk.com/sticker/1-16275-128" style="float: left;width: 16%;padding: 10px;"> Ух ты-ы... Настраивай свой личный аккаунт как тебе угодно и как только пожилаешь. Раздел пока не такой большой как хотелось бы, но я продуктивно работаю над ним, что бы у вас было ещё больше возможностей. По этому, пока ожидайте, молитесь и просто радуйтесь над каждым открытием. А пока я буду делать раздел.
                </div>
                <style type="text/css">
.loads1 {color: #285473; display: block; padding: 5px 10px; background-color: #fff;cursor: pointer;}
.loads1:hover {background-color: #f5f5f5; } 
.loads2 {width: 0.1px; height: 0.1px; opacity: 0; overflow: hidden; position: absolute; z-index: -1;}

                </style>
		        <form action="/uploads/icon/" method="post" enctype="multipart/form-data">
			        <label for="myfile" class="loads1"><i class="fas fa-camera"></i> Установить иконку</label>
			        <input type="file" class="loads2" id="myfile" name="file" onchange="this.form.submit ()">
			    </form>
            </div>
	    <?php
	    $title->GetFooter();
	break;
}
?>